/* This script is for the use with FinalWriter.
For the detailed description of how to connect MathScript and FinalWriter 
via ARexx, see the file FinalWriter.guide in your Docs drawer */

options results

IF ~SHOW('p',"FINALW.1") THEN EXIT
/* If FW does not run -> quit */

DO i=0 WHILE EXISTS("T:formula"||i)
END

ADDRESS FINALW.1

STATUS FONTSIZE

size=result

ADDRESS "MathScript"

SETPREFS PS_FONTSIZE size
/* Use the current font size */

EXPORT EPS "T:formula"||i FORCE
/* save as PS */

NEW

ADDRESS "FINALW.1"

SCREENTOFRONT

IMPORTPREFS DISPLAY FULL TEXTFLOW NONE LINKED NO
/* Show the formula as the real image. If you want to show only a crossbox,
replace FULL with CROSSBOX, which will make the resizing of the image
quite faster! */

INSERTIMAGE "T:formula"||i
/* load the PS-file into FW */

REDRAW



