/* This is a script for previewing formulas with Multiview 
It saves the current formula as a temporary PS-file, which
is then showed by Multiview

*** ATTENTION: This Script needs Multiview and thus OS 3.0 ***

For showing PostScript-files by Multiview, the post.datatype, which is
available as PD, MUST be installed !!! */

ADDRESS "MathScript"

options results

GetPrefs INCLUDE_PS_FONT      /* The current post.datatype does not support an */
                              /* initiation file like init.ps to change the findfont */
ps=result                     /* routine so that it looks in PSFonts: for fonts. */
                              /* So we have to include the font description in our */
SetPrefs INCLUDE_PS_FONT YES  /* postscript file */


GetPrefs PS_FONTSIZE          /* Change the font's size for better visability */

size=result

SetPrefs PS_FONTSIZE 30


Export EPS "T:preview.ps" FORCE 
/* saves the current formula as a temporary PS-file */

SetPrefs INCLUDE_PS_FONT ps PS_FONTSIZE size  /* Undo our Prefs change */

ADDRESS COMMAND "Multiview T:preview.ps screen"
/* start Multiview */

ADDRESS COMMAND "delete >NIL: T:preview.ps#?"
/* delete file */
